Package org.apache.lucene.analysis.ko.dict

## Interface Dictionary

- All Known Implementing Classes:
    `BinaryDictionary`, `TokenInfoDictionary`, `UnknownDictionary`, `UserDictionary`

      public interface Dictionary

  Dictionary interface for retrieving morphological data by id.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `Dictionary.Morpheme` | A morpheme extracted from a compound token.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLeftId​(int wordId)` | Get left id of specified word
    `POS.Tag` | `getLeftPOS​(int wordId)` | Get the left `POS.Tag` of specfied word.
    `Dictionary.Morpheme[]` | `getMorphemes​(int wordId, char[] surfaceForm, int off, int len)` | Get the morphemes of specified word (e.g.
    `POS.Type` | `getPOSType​(int wordId)` | Get the `POS.Type` of specified word (morpheme, compound, inflect or pre-analysis)
    `String` | `getReading​(int wordId)` | Get the reading of specified word (mainly used for Hanja to Hangul conversion).
    `int` | `getRightId​(int wordId)` | Get right id of specified word
    `POS.Tag` | `getRightPOS​(int wordId)` | Get the right `POS.Tag` of specfied word.
    `int` | `getWordCost​(int wordId)` | Get word cost of specified word

- - ### Method Detail

    - #### getLeftId

          int getLeftId​(int wordId)

      Get left id of specified word

    - #### getRightId

          int getRightId​(int wordId)

      Get right id of specified word

    - #### getWordCost

          int getWordCost​(int wordId)

      Get word cost of specified word

    - #### getPOSType

          POS.Type getPOSType​(int wordId)

      Get the `POS.Type` of specified word (morpheme, compound, inflect or pre-analysis)

    - #### getLeftPOS

          POS.Tag getLeftPOS​(int wordId)

      Get the left `POS.Tag` of specfied word.

      For `POS.Type.MORPHEME` and `POS.Type.COMPOUND` the left and right POS are the same.

    - #### getRightPOS

          POS.Tag getRightPOS​(int wordId)

      Get the right `POS.Tag` of specfied word.

      For `POS.Type.MORPHEME` and `POS.Type.COMPOUND` the left and right POS are the same.

    - #### getReading

          String getReading​(int wordId)

      Get the reading of specified word (mainly used for Hanja to Hangul conversion).

    - #### getMorphemes

          Dictionary.Morpheme[] getMorphemes​(int wordId,
                                             char[] surfaceForm,
                                             int off,
                                             int len)

      Get the morphemes of specified word (e.g. 가깝으나: 가깝 + 으나).